# $Revision: 1.51 $, $Date: 2008/09/23 13:41:27 $
# TODO
# - nxserver-helper ?
Summary:	A free (GPL) implementation of the NX server
Summary(pl.UTF-8):	Darmowa (GPL) imlementacja serwera NX
Name:		freenx-server
Version:	0.7.3
Release:	1
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://download2.berlios.de/freenx/%{name}-%{version}.tar.gz
# Source0-md5:	856f597e139018f7ed62713c9d6c9ed5
Source1:	%{name}.init
Source2:	%{name}-nomachine.key.pub
Source3:	%{name}-nomachine.key
Patch0:		freenx-node-conf.patch
Patch2:		%{name}-socketpermissions.patch
URL:		http://freenx.berlios.de/
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-util-gccmakedep
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	bc
Requires:	binutils
Requires:	expect
Requires:	nc
Requires:	nx-X11
Requires:	openssh-clients
Requires:	openssh-server
Requires:	openssl-tools
Requires:	xinitrc-ng
Requires:	xorg-app-sessreg
Requires:	xorg-app-xauth
Requires:	xorg-app-xmessage
Requires:	xorg-lib-libXcomposite
Suggests:	cups-backend-smb
Suggests:	gnome-session
Suggests:	kdebase-desktop
Suggests:	openssl-tools
Suggests:	rdesktop
Suggests:	samba-client
Suggests:	xorg-app-sessreg
Suggests:	xterm
Provides:	user(nx)
Obsoletes:	freenx
Conflicts:	freenx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NoMachine NX is the next-generation X compression and roundtrip
suppression scheme. It can operate remote X11 sessions over 56k modem
dialup links or anything better.

This package contains a free (GPL) implementation of the nxserver
component.

%description -l pl.UTF-8
NoMachine NX to schemat kompresji dla X nowej generacji. Działa na
zdalnych sesjach X11 nawet przy prędkości 56k i na każdej szybszej.

Ten pakiet zawiera darmową (GPL) implementację komponentu nxserwer.

%prep
%setup -q
%patch0 -p1
%patch2 -p1

%if "%{_lib}" == "lib64"
%{__sed} -i -e 's/PATH_LIB=$NX_DIR\/lib/PATH_LIB=$NX_DIR\/lib64/' nxloadconfig
%endif

%build
%{__make}

# THIS ALL IS BROKEN. create .patch next time.
#sed -i -e 's#useradd -d $NX_HOME_DIR -s $(which nxserver) nx#useradd -d $NX_HOME_DIR -u 138 -s $(which nxserver) nx#g' nxsetup
#sed -i -e 's#NX_HOME_DIR=/home/.nx/#NX_HOME_DIR=%{_sysconfdir}/nxserver/#g' nxserver
#sed -i -e 's#netcat#nc#g' nxserver
#sed -i -e 's#export PATH#export LD_LIBRARY_PATH=%{_libdir}/NX/lib\nexport PATH#g' nxnode

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT/var/lib/nxserver/{,db,db/closed,db/failed,db/running}
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT%{_sysconfdir}/nxserver
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/nxserver/nomachine.key.pub
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/nxserver/nomachine.key
install -d $RPM_BUILD_ROOT/var/lib/nxserver/home/.ssh
install %{SOURCE2} $RPM_BUILD_ROOT/var/lib/nxserver/home/.ssh/authorized_keys
install node.conf.sample $RPM_BUILD_ROOT%{_sysconfdir}/nxserver/node.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/freenx

install nxcheckload.sample $RPM_BUILD_ROOT%{_bindir}/nxcheckload
install nxcups-gethost nxdesktop_helper nxdialog nxkeygen nxloadconfig nxnode nxnode-login nxprint nxserver nxserver-helper/nxserver-helper nxsetup nxviewer_helper nxviewer-passwd/nxpasswd/nxpasswd $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 160 -d /var/lib/nxserver/home -s %{_bindir}/nxserver -g users -c "FreeNX User" nx
# May need to add fix to change homedir for prior versions

%post
umask 022
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/nxserver" >> /etc/shells
else
	grep -q '^%{_bindir}/nxserver$' /etc/shells || echo "%{_bindir}/nxserver" >> /etc/shells
fi
/sbin/chkconfig --add freenx
%service freenx restart

%preun
if [ "$1" = "0" ]; then
%service freenx stop
/sbin/chkconfig --del freenx
fi
if [ "$1" = "0" ]; then
	umask 022
	grep -v '^%{_bindir}/nxserver$' /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%postun
if [ "$1" = "0" ]; then
    %userremove nx
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIB ChangeLog
%attr(755,root,root) %{_bindir}/*
%attr(755,nx,root) %dir /var/lib/nxserver
%attr(755,nx,root) %dir /var/lib/nxserver/db
%attr(755,nx,root) %dir /var/lib/nxserver/db/closed
%attr(755,nx,root) %dir /var/lib/nxserver/db/failed
%attr(755,nx,root) %dir /var/lib/nxserver/db/running
%dir %{_sysconfdir}/nxserver
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nxserver/node.conf
%attr(755,nx,root) %dir /var/lib/nxserver/home
%attr(750,nx,root) %dir /var/lib/nxserver/home/.ssh
%config(noreplace,missingok) %verify(not md5 mtime size) /var/lib/nxserver/home/.ssh/authorized_keys
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nxserver/nomachine.key*
%attr(754,root,root) /etc/rc.d/init.d/freenx

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freenx-server.spec,v $
Revision 1.51  2008/09/23 13:41:27  paszczus
- added BR: xorg-util-gccmakedep

Revision 1.50  2008/09/13 18:46:04  aredridel
- 0.7.3

Revision 1.49  2008/08/19 02:50:48  aredridel
- rel 2

Revision 1.48  2008/08/19 02:40:16  aredridel
- fix /tmp/.X11-unix permissions on session start

Revision 1.47  2008/08/17 23:08:43  aredridel
- move nx homedir back to /var, since state is maintained there at runtime

Revision 1.46  2008/08/17 21:54:25  aredridel
- remove todo

Revision 1.45  2008/08/17 09:17:17  paszczus
- added dirs needed to start freenx
- almost works; rel 1.4

Revision 1.44  2008/08/17 08:27:31  paszczus
- typo

Revision 1.43  2008/08/17 02:59:34  aredridel
- use nomachine keys by default

Revision 1.42  2008/08/17 02:04:45  aredridel
- add nxserver as a shell

Revision 1.41  2008/08/16 21:27:20  aredridel
- add todo

Revision 1.40  2008/08/15 12:20:19  zergin
- fix chkconfig complaining about service not supporting it
  (resolves %post, %preun errors)

Revision 1.39  2008/08/14 19:03:40  aredridel
- not openssl, openssl-tools
- R: xorg-app-sessreg

Revision 1.38  2008/08/14 19:02:08  aredridel
- R: openssl

Revision 1.37  2008/08/07 10:37:39  paszczus
- simply spec, added hack for 64bit systems

Revision 1.36  2008/08/07 06:52:37  paszczus
- added Patch to allow using freenx with NX 3.2.0

Revision 1.35  2008/08/06 12:28:33  paszczus
- added R: binutils

Revision 1.34  2008/08/06 10:05:11  paszczus
- added init script

Revision 1.33  2008/08/06 08:40:51  paszczus
- adaptarized

Revision 1.32  2008/08/06 07:17:43  paszczus
- changed name to freenx-server, updated to 0.7.2, please mv freenx.spec freenx-server.spec

Revision 1.31  2008/08/05 10:04:35  paszczus
- Suggests: rdesktop (for nxdesktop_helper)

Revision 1.30  2008/08/05 09:15:51  paszczus
- added Rs: bc, xorg-lib-libXcomposite

Revision 1.29  2008-05-20 17:26:33  cactus
- adapterized

Revision 1.28  2008-05-20 17:20:43  cactus
- up to 0.7.1

Revision 1.27  2007-02-13 07:16:44  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.25  2007/02/03 00:58:03  aredridel
- 0.6.0

Revision 1.24  2006/09/18 21:58:54  aredridel
- R: openssh-clients
- R: xorg-app-xauth

Revision 1.23  2006/07/27 12:28:27  wrobell
- final ver. 0.5.0

Revision 1.22  2006/05/23 07:27:17  qboosh
- verify() for config file

Revision 1.21  2006/05/23 05:42:57  aredridel
- added nxloadconfig patch

Revision 1.20  2006/05/23 05:27:47  aredridel
- added node.conf patch

Revision 1.19  2006/05/23 05:12:45  aredridel
- add default config

Revision 1.18  2006/05/23 05:12:02  aredridel
- up to 0.5.0 test
- Xorg deps

Revision 1.17  2006/01/27 21:23:40  arekm
- R: xinitrc-ng

Revision 1.16  2006/01/26 19:25:07  arekm
- nxclient requires XFree86-tools (xmessage)

Revision 1.15  2006/01/08 05:20:30  aredridel
- up to pre-0.4.3 CVS 20060107
- works with nx 1.5.0

Revision 1.14  2005/11/22 15:37:45  glen
- precreate nx user
- all %build is broken

Revision 1.13  2005/11/22 15:25:24  glen
- %post is broken.

Revision 1.12  2005/08/28 18:07:00  mmazur
- updated to 0.4.2

Revision 1.11  2005/06/17 11:55:20  charles
- and Source0

Revision 1.10  2005/06/17 11:46:54  charles
- official FreeNX home page

Revision 1.9  2005/06/08 07:53:07  spider
- cosmetics

Revision 1.8  2005/06/07 17:51:16  spider
- up to 0.4.0

Revision 1.7  2005/02/24 19:40:52  megabajt
- proper license

Revision 1.6  2005/02/24 19:09:26  pawelb
- up to 0.2.8
- by Grzegorz Grasza

Revision 1.5  2005/01/04 12:25:22  aniolek
- updated to 0.2.7

Revision 1.4  2004/11/18 09:30:36  qboosh
- cleanup

Revision 1.3  2004/11/18 00:50:16  undefine
- move home to /etc/, by groz@gryf.info

Revision 1.2  2004/11/17 22:40:48  adamg
- pl diatrics
- BuildRequires: sed >= 4.0.0
- cosmetics

Revision 1.1  2004/11/17 22:35:14  undefine
- initital version by groz@gryf.info
